(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("react"));
	else if(typeof define === 'function' && define.amd)
		define(["react"], factory);
	else if(typeof exports === 'object')
		exports["reactBootstrapDesign"] = factory(require("react"));
	else
		root["reactBootstrapDesign"] = factory(root["react"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_0__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 3);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_0__;

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Indexes = function (_Component) {
    _inherits(Indexes, _Component);

    function Indexes() {
        _classCallCheck(this, Indexes);

        return _possibleConstructorReturn(this, (Indexes.__proto__ || Object.getPrototypeOf(Indexes)).apply(this, arguments));
    }

    _createClass(Indexes, [{
        key: 'render',
        value: function render() {
            var index;

            if (this.props.styles) {
                var styles = this.props.styles;

                index = [];

                var nodeCount = styles.nodeCount;

                for (var i = 0; i < nodeCount; i++) {
                    var nodeNumber = i + 1;
                    var nodeClasses = [];
                    var nodeStyles = {
                        display: '',
                        transform: '',
                        width: '1px',
                        height: '10%',
                        position: 'absolute',
                        left: '50%',
                        transformOrigin: '0 500%'
                    };

                    var rotation = 'rotate(' + 360 / nodeCount * nodeNumber + 'deg)';

                    nodeStyles.transform = rotation;

                    var customNode;
                    if (styles.customNode) {
                        var customNodes = styles.customNode;
                        customNode = customNodes[nodeNumber];
                    }

                    var color;
                    if (customNode && typeof customNode.color !== 'undefined') {
                        color = customNode.color;
                    } else {
                        color = styles.color;
                    }

                    nodeClasses.push(color);

                    if (customNode && typeof customNode.display !== 'undefined') {
                        nodeStyles.display = customNode.display;
                    }

                    var indexNode = _react2.default.createElement('li', { key: i, className: nodeClasses, style: nodeStyles });
                    index.push(indexNode);
                }
            }

            return _react2.default.createElement(
                'ul',
                { className: 'm-0 p-0 index',
                    style: {
                        width: '100%',
                        height: '100%',
                        listStyleType: 'none',
                        position: 'absolute',
                        top: '0',
                        left: '0'
                    } },
                index
            );
        }
    }]);

    return Indexes;
}(_react.Component);

;

exports.default = Indexes;

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Hand = function (_Component) {
    _inherits(Hand, _Component);

    function Hand(props) {
        _classCallCheck(this, Hand);

        var _this = _possibleConstructorReturn(this, (Hand.__proto__ || Object.getPrototypeOf(Hand)).call(this, props));

        _this.state = {
            timezoneOffset: null,
            hour: null,
            minute: null,
            second: null
        };
        return _this;
    }

    _createClass(Hand, [{
        key: 'componentWillMount',
        value: function componentWillMount() {
            var dt = new Date();
            var timezoneOffset = dt.getTimezoneOffset() / 60;

            var hour;
            if (this.props.type === 'hour') {
                hour = dt.getHours();
            }

            var minute;
            if (this.props.type === 'minute') {
                minute = dt.getMinutes();
            }

            var second;
            if (this.props.type === 'second') {
                second = dt.getSeconds();
            }

            this.setState({
                timezoneOffset: timezoneOffset,
                hour: hour,
                minute: minute,
                second: second
            });
        }
    }, {
        key: 'componentDidMount',
        value: function componentDidMount() {
            setInterval(this.updateTime.bind(this), 1000);
        }
    }, {
        key: 'updateTime',
        value: function updateTime() {
            var dt = new Date(),
                hour = dt.getHours(),
                minute = dt.getMinutes(),
                second = dt.getSeconds();

            this.setState({
                hour: hour,
                minute: minute,
                second: second
            });
        }
    }, {
        key: 'render',
        value: function render() {
            var handWrapperStyles = {
                transform: '',
                zIndex: '',
                position: 'absolute',
                top: '50%',
                left: '0',
                width: '100%',
                backgroundColor: 'transparent !important'
            };

            var handStyles = {
                border: '',
                width: '50%',
                margin: '0',
                height: '2px'
            };

            var positionOffset = 90;
            var handPosition = positionOffset;

            if (this.props.type === 'hour') {
                var hour;
                if (typeof this.props.timeZone !== 'undefined') {
                    hour = this.state.hour + (this.state.timezoneOffset + this.props.timeZone);
                } else {
                    hour = this.state.hour;
                }

                if (hour >= 12) {
                    hour = hour - 12;
                }
                if (hour === 0) {
                    hour = 12;
                }
                handPosition = hour * (360 / 12) + positionOffset;
                handWrapperStyles.zIndex = 1;
            }

            if (this.props.type === 'minute') {
                var minute = this.state.minute;

                handPosition = minute * 6 + positionOffset;
                handWrapperStyles.zIndex = 2;
            }

            if (this.props.type === 'second') {
                var second = this.state.second;

                handPosition = second * 6 + positionOffset;
                handWrapperStyles.zIndex = 3;
            }

            handWrapperStyles.transform = 'rotate(' + handPosition + 'deg)';

            var handColor;
            if (this.props.styles && this.props.styles.color) {
                handColor = this.props.styles.color;
            }

            if (this.props.styles && this.props.styles.border) {
                handStyles.border = this.props.styles.border;
            }

            if (this.props.styles && this.props.styles.length) {
                handStyles.width = this.props.styles.length;
            }

            if (this.props.styles && this.props.styles.margin) {
                handStyles.margin = this.props.styles.margin;
            }

            if (this.props.styles && this.props.styles.width) {
                handStyles.height = this.props.styles.width;
            }

            return _react2.default.createElement(
                'div',
                { className: 'hand', style: handWrapperStyles },
                _react2.default.createElement('div', { className: handColor, style: handStyles })
            );
        }
    }]);

    return Hand;
}(_react.Component);

;

exports.default = Hand;

/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _Indexes = __webpack_require__(1);

var _Indexes2 = _interopRequireDefault(_Indexes);

var _Hand = __webpack_require__(2);

var _Hand2 = _interopRequireDefault(_Hand);

var _Grid = __webpack_require__(4);

var _Grid2 = _interopRequireDefault(_Grid);

var _reactBackgrounds = __webpack_require__(6);

var _reactBackgrounds2 = _interopRequireDefault(_reactBackgrounds);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Design = function (_Component) {
  _inherits(Design, _Component);

  function Design(props) {
    _classCallCheck(this, Design);

    var _this = _possibleConstructorReturn(this, (Design.__proto__ || Object.getPrototypeOf(Design)).call(this, props));

    _this.state = {
      caseClasses: {
        bg: '',
        display: 'd-block',
        padding: 'p-1',
        shape: ''
      },
      dialClasses: {
        bg: '',
        display: 'd-block',
        padding: 'p-1',
        shape: ''
      },
      watchHeight: null
    };
    return _this;
  }

  _createClass(Design, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      var styles = this.props.styles;
      if (styles && styles.case) {
        this.setCaseStyles(styles.case);
      }
      if (styles && styles.dial) {
        this.setDialStyles(styles.dial);
      }
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      var watch = this.watch;
      var watchWidth = watch.clientWidth;

      this.setState({
        watchHeight: watchWidth
      });

      window.addEventListener("resize", this.setWatchHeight.bind(this));
    }
  }, {
    key: 'setWatchHeight',
    value: function setWatchHeight() {
      var watch = this.watch;
      var watchWidth = watch.clientWidth;

      this.setState({
        watchHeight: watchWidth
      });
    }
  }, {
    key: 'setCaseStyles',
    value: function setCaseStyles(styles) {
      var bg;
      if (styles.bg) {
        bg = styles.bg;
      }

      var padding;
      if (styles.padding) {
        padding = styles.padding;
      } else {
        padding = this.state.caseClasses.padding;
      }

      var shape;
      if (styles.shape) {
        shape = styles.shape;
      }

      this.setState({
        caseClasses: Object.assign({}, this.state.caseClasses, {
          bg: bg,
          padding: padding,
          shape: shape
        })
      });
    }
  }, {
    key: 'setDialStyles',
    value: function setDialStyles(styles) {
      var bg;
      if (styles.bg) {
        bg = styles.bg.color;
      }

      var padding;
      if (styles.padding) {
        padding = styles.padding;
      } else {
        padding = this.state.dialClasses.padding;
      }

      var shape;
      if (styles.shape) {
        shape = styles.shape;
      }

      this.setState({
        dialClasses: Object.assign({}, this.state.dialClasses, {
          bg: bg,
          padding: padding,
          shape: shape
        })
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var styles = this.props.styles;

      var bg;
      if (styles.dial && styles.dial.bg) {
        var bgPattern;
        if (styles.dial.bg.pattern) {
          bgPattern = styles.dial.bg.pattern;

          var type;
          if (bgPattern.type) {
            type = bgPattern.type;
          }

          var shapeCount;
          if (bgPattern.shapeCount) {
            shapeCount = bgPattern.shapeCount;
          }

          var colors;
          if (bgPattern.colors) {
            colors = bgPattern.colors;
          }

          var opacity;
          if (bgPattern.opacity) {
            opacity = bgPattern.opacity;
          }

          bg = _react2.default.createElement(_reactBackgrounds2.default, { type: type, shapeCount: shapeCount, colors: colors, opacity: opacity });
        }
      }

      var indexes;
      if (styles && styles.index) {
        var indexStyles = this.props.styles.index;
        indexes = _react2.default.createElement(_Indexes2.default, { styles: indexStyles });
      }

      var hands = [];
      if (styles && styles.hands) {
        var handStyles = styles.hands;
        if (handStyles && handStyles.hour) {
          var hourHand = _react2.default.createElement(_Hand2.default, {
            key: 'hour',
            styles: handStyles.hour,
            type: handStyles.type.hour,
            timeZone: styles.timeZone });
          hands.push(hourHand);
        }
        if (handStyles && handStyles.minute) {
          var minuteHand = _react2.default.createElement(_Hand2.default, {
            key: 'minute',
            styles: handStyles.minute,
            type: handStyles.type.minute });
          hands.push(minuteHand);
        }
        if (handStyles && handStyles.second) {
          var secondHand = _react2.default.createElement(_Hand2.default, {
            key: 'second',
            styles: handStyles.second,
            type: handStyles.type.second });
          hands.push(secondHand);
        }
      }

      var grid;
      if (styles && styles.grid) {
        var gridStyles = styles.grid;
        grid = _react2.default.createElement(_Grid2.default, { styles: gridStyles });
      }

      var caseClasses = this.state.caseClasses;
      caseClasses = Object.values(caseClasses);
      caseClasses = caseClasses.join(' ');

      var dialClasses = this.state.dialClasses;
      dialClasses = Object.values(dialClasses);
      dialClasses = dialClasses.join(' ');

      return _react2.default.createElement(
        'div',
        {
          ref: function ref(watch) {
            _this2.watch = watch;
          },
          className: caseClasses,
          style: {
            height: this.state.watchHeight,
            border: 'solid black 1px'
          } },
        _react2.default.createElement(
          'div',
          {
            className: dialClasses,
            style: {
              width: '100%',
              height: '100%',
              position: 'relative',
              border: 'solid black 1px',
              overflow: 'hidden'
            } },
          bg,
          indexes,
          grid,
          hands
        )
      );
    }
  }]);

  return Design;
}(_react.Component);

exports.default = Design;

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _Label = __webpack_require__(5);

var _Label2 = _interopRequireDefault(_Label);

var _Indexes = __webpack_require__(1);

var _Indexes2 = _interopRequireDefault(_Indexes);

var _Hand = __webpack_require__(2);

var _Hand2 = _interopRequireDefault(_Hand);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Grid = function (_Component) {
    _inherits(Grid, _Component);

    function Grid() {
        _classCallCheck(this, Grid);

        return _possibleConstructorReturn(this, (Grid.__proto__ || Object.getPrototypeOf(Grid)).apply(this, arguments));
    }

    _createClass(Grid, [{
        key: 'render',
        value: function render() {
            var styles = this.props.styles;

            var gridNodes = [];
            var gridCount = 9;

            for (var i = 0; i < gridCount; i++) {
                var gridNodeNumber = i + 1;
                var gridNodeClasses = {
                    dBlock: 'd-block',
                    mxAuto: 'mx-auto',
                    shape: '',
                    bg: ''
                };

                var gridNodeStyles = {
                    width: '100%',
                    height: '100%',
                    position: 'relative',
                    border: ''
                };

                var customGrid = styles[gridNodeNumber];

                if (customGrid && typeof customGrid.dial !== 'undefined') {
                    var dialStyles = customGrid.dial;

                    var border = dialStyles.border;
                    gridNodeStyles.border = border;

                    var bg = dialStyles.bg;
                    gridNodeClasses.bg = bg;
                    var shape = dialStyles.shape;
                    gridNodeClasses.shape = shape;
                }

                gridNodeClasses = Object.values(gridNodeClasses);
                gridNodeClasses = gridNodeClasses.join(' ');

                var hand;
                if (customGrid && typeof customGrid.hand !== 'undefined') {
                    var handStyles = customGrid.hand;
                    hand = _react2.default.createElement(_Hand2.default, {
                        styles: handStyles,
                        type: handStyles.type
                    });
                } else {
                    hand = null;
                }

                var indexes;
                if (customGrid && typeof customGrid.index !== 'undefined') {
                    var indexStyles = customGrid.index;
                    indexes = _react2.default.createElement(_Indexes2.default, { key: gridNodeNumber, styles: indexStyles });
                } else {
                    indexes = null;
                }

                var label;
                if (customGrid && typeof customGrid.label !== 'undefined') {
                    var labelStyles = customGrid.label;
                    label = _react2.default.createElement(_Label2.default, { key: gridNodeNumber, styles: labelStyles });
                } else {
                    label = null;
                }

                var gridNode = _react2.default.createElement(
                    'div',
                    {
                        key: gridNodeNumber,
                        className: 'col-4',
                        style: {
                            height: 'calc(100%/3)'
                        } },
                    _react2.default.createElement(
                        'div',
                        {
                            className: gridNodeClasses,
                            style: gridNodeStyles },
                        hand,
                        indexes,
                        label
                    )
                );

                gridNodes.push(gridNode);
            }

            return _react2.default.createElement(
                'div',
                {
                    className: 'row no-gutters',
                    style: {
                        width: '100%',
                        height: '100%'
                    } },
                gridNodes
            );
        }
    }]);

    return Grid;
}(_react.Component);

;

exports.default = Grid;

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Label = function (_Component) {
    _inherits(Label, _Component);

    function Label() {
        _classCallCheck(this, Label);

        return _possibleConstructorReturn(this, (Label.__proto__ || Object.getPrototypeOf(Label)).apply(this, arguments));
    }

    _createClass(Label, [{
        key: 'render',
        value: function render() {
            var labelClasses = {
                color: this.props.styles.color,
                row: 'row',
                noGutters: 'no-gutters',
                alignItemsCenter: 'align-items-center',
                textCenter: 'text-center'
            };

            labelClasses = Object.values(labelClasses);
            labelClasses = labelClasses.join(' ');

            return _react2.default.createElement(
                'div',
                { style: {
                        width: '100%',
                        height: '100%'
                    } },
                _react2.default.createElement('div', {
                    className: labelClasses,
                    style: {
                        width: '100%',
                        height: 'calc(100%/3)'
                    } }),
                _react2.default.createElement(
                    'div',
                    {
                        className: labelClasses,
                        style: {
                            width: '100%',
                            height: 'calc(100%/3)'
                        } },
                    _react2.default.createElement(
                        'h5',
                        { className: 'm-0',
                            style: {
                                width: '100%',
                                textTransform: 'capitalize',
                                fontFamily: this.props.styles.font
                            } },
                        this.props.styles.text
                    )
                ),
                _react2.default.createElement('div', {
                    className: labelClasses,
                    style: {
                        width: '100%',
                        height: 'calc(100%/3)'
                    } })
            );
        }
    }]);

    return Label;
}(_react.Component);

;

exports.default = Label;

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

(function webpackUniversalModuleDefinition(root, factory) {
	if(true)
		module.exports = factory(__webpack_require__(0));
	else if(typeof define === 'function' && define.amd)
		define(["react"], factory);
	else if(typeof exports === 'object')
		exports["reactBackgrounds"] = factory(require("react"));
	else
		root["reactBackgrounds"] = factory(root["react"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_0__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 1);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_0__;

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _Burst = __webpack_require__(2);

var _Burst2 = _interopRequireDefault(_Burst);

var _Butterflies = __webpack_require__(3);

var _Butterflies2 = _interopRequireDefault(_Butterflies);

var _Iris = __webpack_require__(4);

var _Iris2 = _interopRequireDefault(_Iris);

var _RandomTriangles = __webpack_require__(5);

var _RandomTriangles2 = _interopRequireDefault(_RandomTriangles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var components = {
    burst: _Burst2.default,
    butterflies: _Butterflies2.default,
    iris: _Iris2.default,
    randomTriangles: _RandomTriangles2.default
};

var Background = function (_Component) {
    _inherits(Background, _Component);

    function Background() {
        _classCallCheck(this, Background);

        return _possibleConstructorReturn(this, (Background.__proto__ || Object.getPrototypeOf(Background)).apply(this, arguments));
    }

    _createClass(Background, [{
        key: 'render',
        value: function render() {
            var BackgroundType = components[this.props.type];
            var backgroundShapeCount = this.props.shapeCount;
            var backgroundColors = this.props.colors;
            var backgroundOpacity = this.props.opacity;

            var background = _react2.default.createElement(BackgroundType, {
                shapeCount: backgroundShapeCount,
                colors: backgroundColors,
                opacity: backgroundOpacity });
            return _react2.default.createElement(
                'div',
                null,
                background
            );
        }
    }]);

    return Background;
}(_react.Component);

;

exports.default = Background;

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Burst = function (_Component) {
    _inherits(Burst, _Component);

    function Burst(props) {
        _classCallCheck(this, Burst);

        var _this = _possibleConstructorReturn(this, (Burst.__proto__ || Object.getPrototypeOf(Burst)).call(this, props));

        _this.state = {
            burstStyles: {}
        };
        return _this;
    }

    _createClass(Burst, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            var dial = this.dial,
                dialDiameter = dial.clientWidth,
                dialRadius = dialDiameter / 2;

            this.setState({
                burstStyles: {
                    borderLeftWidth: dialRadius,
                    borderRightWidth: dialRadius,
                    borderBottomWidth: dialDiameter
                }
            });

            window.addEventListener("resize", this.setBurst.bind(this));
        }
    }, {
        key: 'setBurst',
        value: function setBurst() {
            var dial = this.dial,
                dialDiameter = dial.clientWidth,
                dialRadius = dialDiameter / 2;

            this.setState({
                burstStyles: {
                    borderLeftWidth: dialRadius,
                    borderRightWidth: dialRadius,
                    borderBottomWidth: dialDiameter
                }
            });
        }
    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            var burstStyles = this.state.burstStyles;
            var colors = this.props.colors;

            var colorCount;
            var colorIndex;
            if (colors) {
                colorCount = colors.length;
                colorIndex = 0;
            }

            var standardStyles = {
                content: '',
                position: 'absolute',
                width: '0',
                height: '0',
                display: 'block',
                borderStyle: 'solid',
                borderLeftColor: 'transparent',
                borderRightColor: 'transparent',
                borderTopWidth: '0'
            };

            var bursts = [];
            var i;
            for (i = 1; i <= 4; i++) {
                if (colorIndex && colorIndex >= colorCount) {
                    colorIndex = 0;
                }

                var color;
                if (colors) {
                    color = colors[colorIndex];
                } else {
                    color = '#000000';
                }

                colorIndex++;

                var opacity;
                if (this.props.opacity) {
                    opacity = this.props.opacity;
                } else {
                    opacity = .1;
                }

                var rotate;
                var top;
                var left;
                if (i === 1) {
                    top = '50%';
                    left = '0';
                    rotate = 'rotate(0)';
                }
                if (i === 2) {
                    top = '0';
                    left = '-50%';
                    rotate = 'rotate(90deg)';
                }
                if (i === 3) {
                    top = '-50%';
                    left = '0';
                    rotate = 'rotate(180deg)';
                }
                if (i === 4) {
                    top = '0';
                    left = '50%';
                    rotate = 'rotate(270deg)';
                }

                var burst = _react2.default.createElement('span', { key: i, className: 'burst', style: Object.assign({}, burstStyles, standardStyles, { borderBottomColor: color, opacity: opacity, transform: rotate, top: top, left: left }) });
                bursts.push(burst);
            }

            return _react2.default.createElement(
                'div',
                { ref: function ref(dial) {
                        _this2.dial = dial;
                    },
                    style: {
                        height: '100%',
                        width: '100%',
                        boxSizing: 'border-box',
                        position: 'absolute',
                        top: 0,
                        left: 0,
                        transform: 'rotate(45deg)'
                    } },
                bursts
            );
        }
    }]);

    return Burst;
}(_react.Component);

;

exports.default = Burst;

/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Butterflies = function (_Component) {
    _inherits(Butterflies, _Component);

    function Butterflies(props) {
        _classCallCheck(this, Butterflies);

        var _this = _possibleConstructorReturn(this, (Butterflies.__proto__ || Object.getPrototypeOf(Butterflies)).call(this, props));

        _this.state = {
            styles: {
                borderWidth: null
            }
        };
        return _this;
    }

    _createClass(Butterflies, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            var background = this.background;
            var diameter = background.clientWidth;
            var shapeWidth = diameter / this.props.shapeCount;

            this.setState({
                styles: {
                    borderWidth: shapeWidth
                }
            });

            window.addEventListener("resize", this.setShape.bind(this));
        }
    }, {
        key: 'setShape',
        value: function setShape() {
            var background = this.background;
            var diameter = background.clientWidth;
            var shapeWidth = diameter / this.props.shapeCount;

            this.setState({
                styles: {
                    borderWidth: shapeWidth
                }
            });
        }
    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            var styles = this.state.styles;
            var shapeCount = this.props.shapeCount;
            var colors = this.props.colors;

            var colorCount;
            var colorIndex;
            if (colors) {
                colorCount = colors.length;
                colorIndex = 0;
            }

            var shapes = [];
            var i;
            for (i = 0; i < shapeCount; i++) {
                if (colorIndex && colorIndex >= colorCount) {
                    colorIndex = 0;
                }

                var color;
                if (colors) {
                    color = colors[colorIndex];
                } else {
                    color = '#000000';
                }

                colorIndex++;

                var opacity;
                if (this.props.opacity) {
                    opacity = this.props.opacity;
                } else {
                    opacity = .1;
                }

                var randAngle = Math.floor(Math.random() * 360 + 0);
                var randTop = Math.floor(Math.random() * 100 + 0);
                var randLeft = Math.floor(Math.random() * 100 + 0);

                var shapeStyles = {
                    transform: 'rotate(' + randAngle + 'deg)',
                    borderColor: color,
                    opacity: opacity,
                    content: '',
                    position: 'absolute',
                    width: 0,
                    height: 0,
                    display: 'block',
                    borderStyle: 'solid',
                    borderLeftColor: 'transparent',
                    borderRightColor: 'transparent',

                    top: randTop + '%',
                    left: randLeft + '%'
                };

                var combinedStyles = Object.assign({}, shapeStyles, styles);

                var shape = _react2.default.createElement('span', {
                    key: i,
                    className: 'shape',
                    style: combinedStyles });

                shapes.push(shape);
            }

            var height;
            if (this.props.height) {
                height = this.props.height;
            } else {
                height = '100%';
            }

            var width;
            if (this.props.width) {
                width = this.props.width;
            } else {
                width = '100%';
            }

            return _react2.default.createElement(
                'div',
                { className: 'shape-wrapper', ref: function ref(background) {
                        _this2.background = background;
                    },
                    style: {
                        height: height,
                        overflow: 'hidden',
                        position: 'absolute',
                        width: width,
                        zIndex: -100
                    } },
                shapes
            );
        }
    }]);

    return Butterflies;
}(_react.Component);

;

exports.default = Butterflies;

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Iris = function (_Component) {
    _inherits(Iris, _Component);

    function Iris(props) {
        _classCallCheck(this, Iris);

        var _this = _possibleConstructorReturn(this, (Iris.__proto__ || Object.getPrototypeOf(Iris)).call(this, props));

        _this.state = {
            shapeStyles: {}
        };
        return _this;
    }

    _createClass(Iris, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            var dial = this.dial,
                dialDiameter = dial.clientWidth,
                shapeWidth = dialDiameter / this.props.shapeCount;

            this.setState({
                shapeStyles: {
                    borderLeftWidth: shapeWidth,
                    borderRightWidth: shapeWidth,
                    borderBottomWidth: dialDiameter
                }
            });

            window.addEventListener("resize", this.setShape.bind(this));
        }
    }, {
        key: 'setShape',
        value: function setShape() {
            var dial = this.dial,
                dialDiameter = dial.clientWidth,
                shapeWidth = dialDiameter / this.props.shapeCount;

            this.setState({
                shapeStyles: {
                    borderLeftWidth: shapeWidth,
                    borderRightWidth: shapeWidth,
                    borderBottomWidth: dialDiameter
                }
            });
        }
    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            var shapeStyles = this.state.shapeStyles;
            var shapeCount = this.props.shapeCount;
            var colors = this.props.colors;

            var colorCount;
            var colorIndex;
            if (colors) {
                colorCount = colors.length;
                colorIndex = 0;
            }

            var shapes = [];
            var i;
            for (i = 0; i < shapeCount; i++) {
                var degrees = 360 / shapeCount * i;

                if (colorIndex && colorIndex >= colorCount) {
                    colorIndex = 0;
                }

                var color;
                if (colors) {
                    color = colors[colorIndex];
                } else {
                    color = '#000000';
                }

                colorIndex++;

                var opacity;
                if (this.props.opacity) {
                    opacity = this.props.opacity;
                } else {
                    opacity = .1;
                }

                var rotation = {
                    transform: 'rotate(' + degrees + 'deg)',
                    content: '',
                    opacity: opacity,
                    position: 'absolute',
                    width: '0',
                    height: '0',
                    display: 'block',
                    borderStyle: 'solid',
                    borderLeftColor: 'transparent',
                    borderRightColor: 'transparent',
                    borderBottomColor: color,
                    borderTopWidth: '0',
                    top: '0',
                    left: '45%'
                };

                var combinedStyles = Object.assign({}, rotation, shapeStyles);

                var shape = _react2.default.createElement('span', { key: i, className: 'iris', style: combinedStyles });
                shapes.push(shape);
            }

            return _react2.default.createElement(
                'div',
                { ref: function ref(dial) {
                        _this2.dial = dial;
                    },
                    style: {
                        height: '100%',
                        width: '100%',
                        boxSizing: 'border-box',
                        position: 'absolute',
                        overflow: 'hidden',
                        top: 0,
                        left: 0
                    } },
                shapes
            );
        }
    }]);

    return Iris;
}(_react.Component);

;

exports.default = Iris;

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var RandomTriangles = function (_Component) {
    _inherits(RandomTriangles, _Component);

    function RandomTriangles() {
        _classCallCheck(this, RandomTriangles);

        return _possibleConstructorReturn(this, (RandomTriangles.__proto__ || Object.getPrototypeOf(RandomTriangles)).apply(this, arguments));
    }

    _createClass(RandomTriangles, [{
        key: 'render',
        value: function render() {
            var _this2 = this;

            var shapeCount = this.props.shapeCount;
            var colors = this.props.colors;

            var colorCount;
            var colorIndex;
            if (colors) {
                colorCount = colors.length;
                colorIndex = 0;
            }

            var shapes = [];
            var i;
            for (i = 0; i < shapeCount; i++) {
                var shapeAngle = Math.floor(Math.random() * 180 + 0);

                var diameter = Math.floor(Math.random() * 180 + 0);
                var shapeWidth = Math.floor(Math.random() * this.props.shapeCount + 0) * 2;

                if (colorIndex && colorIndex >= colorCount) {
                    colorIndex = 0;
                }

                var color;
                if (colors) {
                    color = colors[colorIndex];
                } else {
                    color = '#000000';
                }

                colorIndex++;

                var opacity;
                if (this.props.opacity) {
                    opacity = this.props.opacity;
                } else {
                    opacity = .1;
                }

                var randAngle = Math.floor(Math.random() * 360 + 0);
                var randTop = Math.floor(Math.random() * 100 + 0);
                var randLeft = Math.floor(Math.random() * 100 + 0);

                var shapeStyles = {
                    borderLeftWidth: shapeWidth,
                    borderRightWidth: shapeWidth,
                    borderBottomWidth: diameter,

                    transform: 'rotate(' + randAngle + 'deg)',
                    borderBottomColor: color,
                    opacity: opacity,
                    content: '',
                    position: 'absolute',

                    top: randTop + '%',
                    left: randLeft + '%',

                    width: 0,
                    height: 0,
                    display: 'block',
                    borderStyle: 'solid',
                    borderLeftColor: 'transparent',
                    borderRightColor: 'transparent',
                    borderTopWidth: 0
                };

                var shape = _react2.default.createElement('span', {
                    key: i,
                    className: 'shape',
                    style: shapeStyles });

                shapes.push(shape);
            }

            var height;
            if (this.props.height) {
                height = this.props.height;
            } else {
                height = '100%';
            }

            var width;
            if (this.props.width) {
                width = this.props.width;
            } else {
                width = '100%';
            }

            return _react2.default.createElement(
                'div',
                { className: 'shape-wrapper', ref: function ref(background) {
                        _this2.background = background;
                    },
                    style: {
                        height: height,
                        overflow: 'hidden',
                        position: 'absolute',
                        top: '0',
                        left: '0',
                        width: width,
                        zIndex: '-100'
                    } },
                shapes
            );
        }
    }]);

    return RandomTriangles;
}(_react.Component);

;

exports.default = RandomTriangles;

/***/ })
/******/ ]);
});

/***/ })
/******/ ]);
});